Subject: Re: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Aug 2022 19:27:21 +0300

> From: Dmitrii Kuragin <[email-masked]>
> Date: Mon, 29 Aug 2022 09:03:15 -0700
> Cc: Gerd Möllmann <[email-masked]>, 
> 	[email-masked]
> 
> No, I see flickering during scrolling.

What exactly do you mean by "scrolling"? which keys or commands do you
invoke?

> And the problem is much worse when I have line number mode enabled.
> 
> The buffers do not change, and the frame at the same position, but line numbers change because they're in
> 'visual mode (relative numbers).

This still leaves unanswered one question:

>  > I compiled with `-O0 -g3`, then
>  > ```
>  > lldb
>  > (lldb) file nextstep/Emacs.app/Contents/MacOS/Emacs
>  > Current executable set to
>  '/Users/kuragin/Desktop/emacs/nextstep/Emacs.app/Contents/MacOS/Emacs'
>  > (x86_64).
>  > (lldb) breakpoint set -f scroll.c -l 270
>  > Breakpoint 1: where = Emacs`do_scrolling + 485 at scroll.c:271:11, address = 0x0000000100032da5
>  > ```
>  > 
>  > But, it doesn't stop there...
> 
>  Why scroll.c:271, when the code you patched begins on line 684?
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Why are you setting the breakpoint on that line?